Triage, prioritization and follow-up tracking
The three words get used as if they meant the same thing. They answer different questions, at different times.
| The question | When it happens | What it produces | |
|---|---|---|---|
| Triage | What does this email need? | Once, when the email arrives | A route: reply, decide, schedule, hand off, file, ignore |
| Prioritization | Of the things that need me, which first? | When you sit down to work | An order |
| Follow-up tracking | Whose move is it, and for how long? | Over days, for each conversation | Two lists: replies you owe, and replies you’re waiting on |
A good system does all three. Triage keeps the noise away from the work. Prioritization puts the work in order. Follow-up tracking catches the conversations that went quiet after triage put them in the right place.
Where the term comes from
“Triage” comes from emergency medicine: when there are more patients than doctors, each one is sorted into treat now, treat soon, or can wait. The point isn’t that everyone is seen at once. It’s that the urgent case never waits behind the trivial one.
Email triage applies the same idea. Each message gets one of a few routes:
- Reply or decide. Someone is asking you for something only you can give.
- Schedule. A date or a meeting belongs on the calendar.
- Hand off. Someone else should handle it.
- File. Worth keeping, nothing to do: a receipt, a statement, a confirmation.
- Ignore. Newsletters and notifications you didn’t need to see.
How software tells a person from a machine
Most of what makes an inbox feel full is mail no person wrote. Two families of email headers help software spot it:
- Auto-Submitted, defined in RFC 3834, marks messages generated or replied to automatically, such as out-of-office replies.
- List-Unsubscribe and the other list headers in RFC 2369, with one-click unsubscribe in RFC 8058, mark mailing-list and bulk mail.
Headers tell you how a message was sent, not what it asks. A payment-failed notice from a billing system is automated and still needs you. A person can write with nothing to ask. So header checks are a first pass, and reading the message is the second.
Manual, rules and AI triage
| Approach | What does the deciding | Where it breaks |
|---|---|---|
| Manual | You read every email and decide | Every visit to the inbox becomes a triage session |
| Rules and filters | Patterns you wrote: sender, subject, words | New senders, and anything the pattern didn’t foresee |
| Inbox Zero, GTD | A habit plus folders | Works while you keep the habit |
| AI triage | Software reads each message and decides | Needs correcting when it misreads; you should be able to say so in a sentence |
Rules match the envelope: who sent it, what the subject says. AI triage reads the content, so it can tell a client’s question from a client’s newsletter, and a third “just checking in” from the first.
An example
A field-service account manager opens their inbox on Monday morning to five new emails:
| Route | |
|---|---|
| A property manager asks to move Thursday’s crew to Friday | Reply or decide, today |
| A supplier invoice, PDF attached, due in 30 days | File, and add the due date to the list |
| The trade association’s newsletter | Ignore |
| A colleague forwards a customer complaint with “FYI” | Reply or decide: a forward with no note usually means “please handle” |
| “Just following up” on a quote they sent two weeks ago | Reply, and it’s late: the client has asked twice |
Two of the five need a reply today. That’s the output of triage: not a tidier inbox, but a short list of what needs a person.
How alfred_ does it
alfred_ reads each email once when it arrives and updates the thread as replies come in. It looks at who sent it, what it asks, whose move it is, and the rest of the thread. Emails that need a reply or a decision from you come first on Home and in your morning brief; newsletters, notifications and receipts go to quieter tabs in Inbox.
You don’t keep a list of who matters. To change how something is handled, say it in a sentence (“anything from @harborfacilities.com is a client, put it first”) and it becomes an email rule. By default it also files newsletters, promotions, notifications and shipping updates to Archive, where nothing is deleted; you can switch that to suggestions only, per address.